Subject: Ticket Assigned - Delivery
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Thu, 19 Aug 2021 11:01:34 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered some items through online no.8277400864 on 10 July and still not received on 01/08/21.  I contacted multiple times to Customer care for the same and not solution was done.  As I called again on yesterday31/07/21 and informed to one of customer Home Center care agent to cancel my order and refund my cash as soon as possible. Kindly do the needful.
Regards,
Gokul Athman https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2927327